<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.8                                //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2010                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function rssyandex_maps($item_id, $cfg){

        $inCore = cmsCore::getInstance();
        $inDB   = cmsDatabase::getInstance();

		global $_CFG;
		global $_LANG;

        $inCore->loadModel('maps');
        $model = new cms_model_maps();

		$maxitems   = $cfg['maxitems'];
		$rooturl    = 'https://'.$_SERVER['HTTP_HOST'];

		if ($item_id == 'all') { $item_id = 0; }

		$channel = array();

		//CHANNEL
		if ($item_id){
			$cat = dbGetFields('cms_map_cats', "id='$item_id'", 'id, title, description, seolink, NSLeft, NSRight');
			$catsql = "AND c.category_id = cat.id AND cat.NSLeft >= {$cat['NSLeft']} AND cat.NSRight <= {$cat['NSRight']}";

			$channel['title'] = $cat['title'] ;
			$channel['description'] = $cat['description'];
			$channel['link'] = $rooturl . '/maps/' . $cat['seolink'];
		} else {
			$catsql = '';

			$channel['title'] = 'Новое на карте';
			$channel['description'] = 'Каталог роддомов - Время рожать';
			$channel['link'] = $rooturl;
		}

		//ITEMS
		$sql = "SELECT c.*, DATE_FORMAT(c.pubdate, '%a, %d %b %Y %H:%i:%s GMT') as pubdate, cat.title as category
				FROM cms_map_items c, cms_map_cats cat
				WHERE c.published=1 AND c.category_id = cat.id $catsql
				ORDER by c.pubdate DESC
				LIMIT $maxitems";

		$rs = $inDB->query($sql) or die('RSS building error!');
        cmsCore::loadModel('rssyandex');
        $rssyandexmodel = new cms_model_rssyandex();
		$items = array();

		if ($inDB->num_rows($rs)){

			while ($item = $inDB->fetch_assoc($rs)){
				$id = $item['id'];
				$items[$id] = $item;
                $items[$id]['link'] = $rooturl . '/maps/' . $item['seolink'] . '.html';
				$items[$id]['content'] = $item['description'];
				$items[$id]['contacts'] = $item['contacts'];
				$items[$id]['category'] = $item['category'];
				$items[$id]['truefalse'] = $rssyandexmodel->config['truefalsemaps'];
				$items[$id]['yandexrelatedlink'] = $rssyandexmodel->config['yandexrelatedlinkmap'];
				$items[$id]['yandexrelatedtext'] = $rssyandexmodel->config['yandexrelatedtextmap'];
				$items[$id]['yandexrelatedimg'] = $rssyandexmodel->config['yandexrelatedimgmap'];
				$items[$id]['yandexrelatedlink2'] = $rssyandexmodel->config['yandexrelatedlinkmap2'];
				$items[$id]['yandexrelatedtext2'] = $rssyandexmodel->config['yandexrelatedtextmap2'];
				$items[$id]['yandexrelatedimg2'] = $rssyandexmodel->config['yandexrelatedimgmap2'];

                $image_file = PATH.'/images/photos/small/map'.$id.'.jpg';
                $image_url  = $rooturl . '/images/photos/small/map'.$id.'.jpg';

                $items[$id]['image'] = file_exists($image_file) ? $image_url : '';
				$items[$id]['size']  = round(filesize($image_file));
			}

		}

	return array('channel' => $channel,
				 'items' => $items);
}


?>