<?php
if(!defined('VALID_CMS_ADMIN')) { die('ACCESS DENIED'); }
/******************************************************************************/
//                                                                            //
//                           InstantCMS v1.10.6                               //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2015                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

	$opt = cmsCore::request('opt', 'str', 'config');

	$cfg = $inCore->loadComponentConfig('rssyandex');

	if($opt=='saveconfig'){

        if (!cmsCore::validateForm()) { cmsCore::error404(); }

		$cfg = array();
		$cfg['addsite']  = cmsCore::request('addsite', 'int');
		$cfg['maxitems'] = cmsCore::request('maxitems', 'int');
		$cfg['icon_on']  = cmsCore::request('icon_on', 'int');
		$cfg['truefalsestati'] = cmsCore::request('truefalsestati', 'int');
		$cfg['truefalsemaps'] = cmsCore::request('truefalsemaps', 'int');
		$cfg['truefalsebrd'] = cmsCore::request('truefalsebrd', 'int');
		$cfg['icon_url'] = cmsCore::request('icon_url', 'str', '');
		$cfg['yandexrelatedtextcon'] = cmsCore::request('yandexrelatedtextcon', 'str', '');
		$cfg['yandexrelatedlinkcon'] = cmsCore::request('yandexrelatedlinkcon', 'str', '');
		$cfg['yandexrelatedimgcon'] = cmsCore::request('yandexrelatedimgcon', 'str', '');
		$cfg['yandexrelatedtextcon2'] = cmsCore::request('yandexrelatedtextcon2', 'str', '');
		$cfg['yandexrelatedlinkcon2'] = cmsCore::request('yandexrelatedlinkcon2', 'str', '');
		$cfg['yandexrelatedimgcon2'] = cmsCore::request('yandexrelatedimgcon2', 'str', '');
		$cfg['yandexrelatedtextmap'] = cmsCore::request('yandexrelatedtextmap', 'str', '');
		$cfg['yandexrelatedlinkmap'] = cmsCore::request('yandexrelatedlinkmap', 'str', '');
		$cfg['yandexrelatedimgmap'] = cmsCore::request('yandexrelatedimgmap', 'str', '');
		$cfg['yandexrelatedtextmap2'] = cmsCore::request('yandexrelatedtextmap2', 'str', '');
		$cfg['yandexrelatedlinkmap2'] = cmsCore::request('yandexrelatedlinkmap2', 'str', '');
		$cfg['yandexrelatedimgmap2'] = cmsCore::request('yandexrelatedimgmap2', 'str', '');
		$cfg['yandexrelatedtextbrd'] = cmsCore::request('yandexrelatedtextbrd', 'str', '');
		$cfg['yandexrelatedlinkbrd'] = cmsCore::request('yandexrelatedlinkbrd', 'str', '');
		$cfg['yandexrelatedimgbrd'] = cmsCore::request('yandexrelatedimgbrd', 'str', '');
		$cfg['yandexrelatedtextbrd2'] = cmsCore::request('yandexrelatedtextbrd2', 'str', '');
		$cfg['yandexrelatedlinkbrd2'] = cmsCore::request('yandexrelatedlinkbrd2', 'str', '');
		$cfg['yandexrelatedimgbrd2'] = cmsCore::request('yandexrelatedimgbrd2', 'str', '');

		$inCore->saveComponentConfig('rssyandex', $cfg);

		cmsCore::addSessionMessage($_LANG['AD_CONFIG_SAVE_SUCCESS'], 'success');

		cmsCore::redirectBack();

	}

?>
<form action="index.php?view=components&amp;do=config&amp;id=<?php echo $id;?>" method="post" name="optform" target="_self" id="form1">
<input type="hidden" name="csrf_token" value="<?php echo cmsUser::getCsrfToken(); ?>" />
<div id="config_tabs" style="margin-top:12px;" class="uitabs">

    <ul id="tabs">
        <li><a href="#basic"><span><?php echo $_LANG['AD_YANDEX_BASIC']; ?></span></a></li>
        <li><a href="#stati"><span><?php echo $_LANG['AD_YANDEX_STATI']; ?></span></a></li>
        <li><a href="#maps"><span><?php echo $_LANG['AD_YANDEX_MAPS']; ?></span></a></li>
		<li><a href="#board"><span><?php echo $_LANG['AD_YANDEX_BRD']; ?></span></a></li>
    </ul>
	
    <div id="basic">	
        <table width="700" border="0" cellpadding="10" cellspacing="0" class="proptable">
          <tr>
            <td><?php echo $_LANG['AD_RSS_CHANNELS']; ?>:</td>
            <td width="300" valign="top">
            <label><input name="addsite" type="radio" value="1" <?php if ($cfg['addsite']) { echo 'checked="checked"'; } ?>/> <?php echo $_LANG['YES']; ?></label>
            <label><input name="addsite" type="radio" value="0" <?php if (!$cfg['addsite']) { echo 'checked="checked"'; } ?>/> <?php echo $_LANG['NO']; ?></label>
            </td>
          </tr>
          <tr>
            <td><?php echo $_LANG['AD_NUMBER_DISPLAY']; ?>: </td>
            <td valign="top"><input class="uispin" name="maxitems" type="text" id="maxitems" size="6" value="<?php echo $cfg['maxitems'];?>"/> <?php echo $_LANG['AD_PIECES']; ?></td>
          </tr>
          <tr>
            <td><?php echo $_LANG['AD_RSS_ICON']; ?>:</td>
            <td width="300" valign="top">
            <label><input name="icon_on" type="radio" value="1" <?php if ($cfg['icon_on']) { echo 'checked="checked"'; } ?>/> <?php echo $_LANG['YES']; ?></label>
            <label><input name="icon_on" type="radio" value="0" <?php if (!$cfg['icon_on']) { echo 'checked="checked"'; } ?>/> <?php echo $_LANG['NO']; ?></label>
            </td>
          </tr>
		  <tr>
            <td><img src="<?php echo $cfg['icon_url'];?>" height="28" border="0"></td>
          </tr>
		  <tr>
            <td><?php echo $_LANG['AD_RSS_ICON_URL']; ?>: </td>
            <td valign="top"><input name="icon_url" type="text" id="icon_url" size="45" value="<?php echo $cfg['icon_url'];?>"/></td>
          </tr>
		  <tr>
		  </table>
		  <table width="700" border="0" cellpadding="10" cellspacing="0" class="proptable">
		  <td><b><?php echo $_LANG['AD_YANDEX_TRUEFALSE_MAPS_TITLE']; ?></b></td>
            <td width="300" valign="top">
            <label><input name="truefalsemaps" type="radio" value="1" <?php if ($cfg['truefalsemaps']) { echo 'checked="checked"'; } ?>/> <?php echo $_LANG['YES']; ?></label>
            <label><input name="truefalsemaps" type="radio" value="0" <?php if (!$cfg['truefalsemaps']) { echo 'checked="checked"'; } ?>/> <?php echo $_LANG['NO']; ?></label>
          </td>
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_STATI_URL']; ?>: </td>
            <td valign="top"><a href="/rssyandex/content/all/yandex.xml" target="blank">/rssyandex/content/all/yandex.xml</a></td>
          </tr>
		  </tr>
		  <tr>
		  <td><b><?php echo $_LANG['AD_YANDEX_TRUEFALSE_STATI_TITLE']; ?></b></td>
            <td width="300" valign="top">
            <label><input name="truefalsestati" type="radio" value="1" <?php if ($cfg['truefalsestati']) { echo 'checked="checked"'; } ?>/> <?php echo $_LANG['YES']; ?></label>
            <label><input name="truefalsestati" type="radio" value="0" <?php if (!$cfg['truefalsestati']) { echo 'checked="checked"'; } ?>/> <?php echo $_LANG['NO']; ?></label>
          </td>
		  </tr>
		   <tr>
            <td><?php echo $_LANG['AD_YANDEX_MAPS_URL']; ?>: </td>
            <td valign="top"><a href="/rssyandex/maps/all/yandex.xml" target="blank">/rssyandex/maps/all/yandex.xml</a></td>
          </tr>
		  <tr>
		  <td><b><?php echo $_LANG['AD_YANDEX_TRUEFALSE_BRD_TITLE']; ?></b></td>
            <td width="300" valign="top">
            <label><input name="truefalsebrd" type="radio" value="1" <?php if ($cfg['truefalsebrd']) { echo 'checked="checked"'; } ?>/> <?php echo $_LANG['YES']; ?></label>
            <label><input name="truefalsebrd" type="radio" value="0" <?php if (!$cfg['truefalsebrd']) { echo 'checked="checked"'; } ?>/> <?php echo $_LANG['NO']; ?></label>
          </td>
		  </tr>
		   <tr>
            <td><?php echo $_LANG['AD_YANDEX_BRD_URL']; ?>: </td>
            <td valign="top"><a href="/rssyandex/board/all/yandex.xml" target="blank">/rssyandex/board/all/yandex.xml</a></td>
          </tr>
		</table>  
    </div>
	
    <div id="stati">	
        <table width="700" border="0" cellpadding="10" cellspacing="0" class="proptable" style="border:none">
		   <tr><td><b><?php echo $_LANG['AD_YANDEX_REL_TEXT_CON_TITLE']; ?></b></td></tr>
		</table>
		<table width="700" border="0" cellpadding="10" cellspacing="0" class="proptable">
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_TEXT_CON']; ?>: </td>
            <td valign="top"><input name="yandexrelatedtextcon" type="text" id="yandexrelatedtextcon" size="60" value="<?php echo $cfg['yandexrelatedtextcon'];?>"/></td>
          </tr>
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_URL_CON']; ?>: </td>
            <td valign="top"><input name="yandexrelatedlinkcon" type="text" id="yandexrelatedlinkcon" size="60" value="<?php echo $cfg['yandexrelatedlinkcon'];?>"/></td>
          </tr>
		  <tr>
            <td><img src="<?php echo $cfg['yandexrelatedimgcon'];?>" height="28" border="0"></td>
          </tr>
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_IMG_CON']; ?>: </td>
            <td valign="top"><input name="yandexrelatedimgcon" type="text" id="yandexrelatedimgcon" size="60" value="<?php echo $cfg['yandexrelatedimgcon'];?>"/></td>
          </tr>
		  </table>
		  <table width="700" border="0" cellpadding="10" cellspacing="0" class="proptable">
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_TEXT_CON2']; ?>: </td>
            <td valign="top"><input name="yandexrelatedtextcon2" type="text" id="yandexrelatedtextcon2" size="60" value="<?php echo $cfg['yandexrelatedtextcon2'];?>"/></td>
          </tr>
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_URL_CON2']; ?>: </td>
            <td valign="top"><input name="yandexrelatedlinkcon2" type="text" id="yandexrelatedlinkcon2" size="60" value="<?php echo $cfg['yandexrelatedlinkcon2'];?>"/></td>
          </tr>
		  <tr>
            <td><img src="<?php echo $cfg['yandexrelatedimgcon2'];?>" height="28" border="0"></td>
          </tr>
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_IMG_CON2']; ?>: </td>
            <td valign="top"><input name="yandexrelatedimgcon2" type="text" id="yandexrelatedimgcon2" size="60" value="<?php echo $cfg['yandexrelatedimgcon2'];?>"/></td>
          </tr>
		</table>  
   </div>
   
   <div id="maps">	
        <table width="700" border="0" cellpadding="10" cellspacing="0" class="proptable" style="border:none">
		   <tr><td><b><?php echo $_LANG['AD_YANDEX_REL_TEXT_MAPS_TITLE']; ?></b></td></tr>
		</table>
		<table width="700" border="0" cellpadding="10" cellspacing="0" class="proptable">
		  <td><?php echo $_LANG['AD_YANDEX_REL_TEXT_MAP']; ?>: </td>
            <td valign="top"><input name="yandexrelatedtextmap" type="text" id="yandexrelatedtextmap" size="60" value="<?php echo $cfg['yandexrelatedtextmap'];?>"/></td>
          </tr>
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_URL_MAP']; ?>: </td>
            <td valign="top"><input name="yandexrelatedlinkmap" type="text" id="yandexrelatedlinkmap" size="60" value="<?php echo $cfg['yandexrelatedlinkmap'];?>"/></td>
          </tr>
		  <tr>
            <td><img src="<?php echo $cfg['yandexrelatedimgmap'];?>" height="28" border="0"></td>
          </tr>
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_IMG_MAP']; ?>: </td>
            <td valign="top"><input name="yandexrelatedimgmap" type="text" id="yandexrelatedimgmap" size="60" value="<?php echo $cfg['yandexrelatedimgmap'];?>"/></td>
          </tr>
		</table>
		<table width="700" border="0" cellpadding="10" cellspacing="0" class="proptable">
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_TEXT_MAP2']; ?>: </td>
            <td valign="top"><input name="yandexrelatedtextmap2" type="text" id="yandexrelatedtextmap2" size="60" value="<?php echo $cfg['yandexrelatedtextmap2'];?>"/></td>
          </tr>
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_URL_MAP2']; ?>: </td>
            <td valign="top"><input name="yandexrelatedlinkmap2" type="text" id="yandexrelatedlinkmap2" size="60" value="<?php echo $cfg['yandexrelatedlinkmap2'];?>"/></td>
          </tr>
		  <tr>
            <td><img src="<?php echo $cfg['yandexrelatedimgmap2'];?>" height="28" border="0"></td>
          </tr>
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_IMG_MAP2']; ?>: </td>
            <td valign="top"><input name="yandexrelatedimgmap2" type="text" id="yandexrelatedimgmap2" size="60" value="<?php echo $cfg['yandexrelatedimgmap2'];?>"/></td>
          </tr>
        </table>
   </div>
	
   <div id="board">	
        <table width="700" border="0" cellpadding="10" cellspacing="0" class="proptable" style="border:none">
		   <tr><td><b><?php echo $_LANG['AD_YANDEX_REL_TEXT_BRD_TITLE']; ?></b></td></tr>
		</table>
		<table width="700" border="0" cellpadding="10" cellspacing="0" class="proptable">
		  <td><?php echo $_LANG['AD_YANDEX_REL_TEXT_BRD']; ?>: </td>
            <td valign="top"><input name="yandexrelatedtextbrd" type="text" id="yandexrelatedtextbrd" size="60" value="<?php echo $cfg['yandexrelatedtextbrd'];?>"/></td>
          </tr>
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_URL_BRD']; ?>: </td>
            <td valign="top"><input name="yandexrelatedlinkbrd" type="text" id="yandexrelatedlinkbrd" size="60" value="<?php echo $cfg['yandexrelatedlinkbrd'];?>"/></td>
          </tr>
		  <tr>
            <td><img src="<?php echo $cfg['yandexrelatedimgbrd'];?>" height="28" border="0"></td>
          </tr>
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_IMG_BRD']; ?>: </td>
            <td valign="top"><input name="yandexrelatedimgbrd" type="text" id="yandexrelatedimgbrd" size="60" value="<?php echo $cfg['yandexrelatedimgbrd'];?>"/></td>
          </tr>
		</table>
		<table width="700" border="0" cellpadding="10" cellspacing="0" class="proptable">
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_TEXT_BRD2']; ?>: </td>
            <td valign="top"><input name="yandexrelatedtextbrd2" type="text" id="yandexrelatedtextbrd2" size="60" value="<?php echo $cfg['yandexrelatedtextbrd2'];?>"/></td>
          </tr>
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_URL_BRD2']; ?>: </td>
            <td valign="top"><input name="yandexrelatedlinkbrd2" type="text" id="yandexrelatedlinkbrd2" size="60" value="<?php echo $cfg['yandexrelatedlinkbrd2'];?>"/></td>
          </tr>
		  <tr>
            <td><img src="<?php echo $cfg['yandexrelatedimgbrd2'];?>" height="28" border="0"></td>
          </tr>
		  <tr>
            <td><?php echo $_LANG['AD_YANDEX_REL_IMG_BRD2']; ?>: </td>
            <td valign="top"><input name="yandexrelatedimgbrd2" type="text" id="yandexrelatedimgbrd2" size="60" value="<?php echo $cfg['yandexrelatedimgbrd2'];?>"/></td>
          </tr>
        </table>
    </div>
</div>
        <p>
          <input name="opt" type="hidden" value="saveconfig" />
          <input name="save" type="submit" id="save" value="<?php echo $_LANG['SAVE']; ?>" />
          <input name="back" type="button" id="back" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components';"/>
        </p>
</form>